Bug 1094933 - supervisor: script and/or trigger should not directly enable systemd units
Summary: supervisor: script and/or trigger should not directly enable systemd units
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: supervisor
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: autoenabled-systemd-units
TreeView+ depends on / blocked
 
Reported: 2014-05-06 17:23 UTC by Andy Lutomirski
Modified: 2015-10-03 18:01 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-10-03 18:01:28 UTC


Attachments (Terms of Use)

Description Andy Lutomirski 2014-05-06 17:23:39 UTC
My query script thinks that supervisor has a script or trigger that directly enables a systemd unit using 'systemctl enable'.  It probably should not.  Please update this packages to use the macroized scriptlet (https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd).

If your package has an exception from FESCo permitting it to enable
itself, please make sure that the service in question is listed in the
appropriate preset file.

There is a general exception described here:

https://fedoraproject.org/wiki/Starting_services_by_default

If your package falls under the general exception, then it is possible
that no change is required.  Nevertheless, if you are relying on the
exception, please make sure that your rpm scripts are sensible.  The
exception is:

In addition, any service which does not remain persistent on the system (aka, it "runs once then goes away"), does not listen to incoming connections during initialization, and does not require configuration to be functional may be enabled by default (but is not required to do so). An example of "runs once then goes away" service is iptables.

Given that this issue can affect Fedora 20 users who install your
package as a dependency, this bug should be fixed in Fedora 20 and
Rawhide.

Comment 1 Jaroslav Reznik 2015-03-03 15:46:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-08-01 15:58:32 UTC
supervisor-3.1.3-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-1.fc23

Comment 3 Fedora Update System 2015-08-01 16:28:32 UTC
supervisor-3.1.3-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-2.fc23

Comment 4 Fedora Update System 2015-08-01 16:29:14 UTC
supervisor-3.1.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-2.el7

Comment 5 Fedora Update System 2015-08-01 17:41:39 UTC
Package supervisor-3.1.3-2.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing supervisor-3.1.3-2.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12593/supervisor-3.1.3-2.fc23
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-08-17 19:03:09 UTC
supervisor-3.1.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-22 16:25:49 UTC
supervisor-3.1.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update supervisor'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13789

Comment 8 Fedora Update System 2015-10-03 18:01:24 UTC
supervisor-3.1.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.